var system = require("../../../system")
var settings = require("../../../../config/settings");
const CtlBase = require("../../ctl.base");
var cacheBaseComp = null;
class ProductTypeCtl extends CtlBase {
  constructor() {
    super("aggregation", CtlBase.getServiceName(ProductTypeCtl));
  }
  async findAndCountAll(obj){
    var res = await this.service.findAndCountAll(obj);
    return res;
  }
  async create(pobj, qobj, req) {
    pobj.company_id = req && req.xctx && req.xctx.companyid ?req.xctx.companyid : "";
    const up = await this.service.create(pobj);
    return up;
  }

  async update(pobj, qobj, req) {
    const up = await this.service.update(pobj);
    return up;
  }

  async getProductTypeInfo(pobj){
    const res = await this.service.getProductTypeInfo(pobj);
    return res;
  }

}
module.exports = ProductTypeCtl;
